#!/usr/bin/env node
const fs = require('fs');
const spawn = require('child_process').spawn;

const dir = process.argv.slice(-1)[0];
if (!fs.existsSync(dir)){
  fs.mkdirSync(dir);
} else {
  return console.log('please choose another dir name')
}
const funcExp = `function sum(a, b) {
  return a + b;
}
module.exports = sum;`
const testExp = `const sum = require('./sum');

test('adds 1 + 2 to equal 3', () => {
  expect(sum(1, 2)).toBe(3);
});`
const child = spawn(`cd ${dir} && git init && yarn init -y && yarn add --dev jest && touch .gitignore && echo node_modules >> .gitignore && mkdir src`, {
  shell: true
});
child.stderr.on('data', function (data) {
  fs.writeFileSync(`./${dir}/sum.js`, funcExp);
  fs.writeFileSync(`./${dir}/sum.test.js`, testExp);
});
child.stdout.on('data', function (data) {
  console.log("STDOUT:", data.toString());
});
child.on('exit', function (exitCode) {
  console.log("Child exited with code: " + exitCode);
});
